[tool.poetry]
name = "app"
version = "0.1.0"
description = ""
authors = ["tomoya <tomoya@choozmo.com>"]

[tool.poetry.dependencies]
python = "^3.8.0"
Pillow = "^9.4.0"
pydantic = "^1.10.4"
mysql-connector-python = "^8.0.32"
mysqlclient = "^2.1.1"
sqlalchemy = "^1.4.0"
opencv-python = "^4.7.0"
requests = "^2.23.0"
celery = "^5.2.7"
tenacity = "^8.0.0"
pytest = "^7.2.0"
torch = "^1.13.0"
torchvision = "^0.14.0"
torchaudio = "^0.13.0"

[tool.poetry.dev-dependencies]
mypy = "^0.991"
black = "^19.10b0"
isort = "^5.11.0"
autoflake = "^1.3.1"
pytest = "^7.2.0"
pytest-cov = "^4.0.0"

[tool.isort]
multi_line_output = 3
include_trailing_comma = true
force_grid_wrap = 0
line_length = 88
[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"

